The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Big Problems since Upgrading Mysql

Discussion in 'General Discussion' started by johnsee, May 21, 2006.

  1. johnsee

    johnsee Member

    Joined:
    Mar 14, 2006
    Messages:
    13
    Likes Received:
    0
    Trophy Points:
    1
    I upgrade mysql to 4.1 this arvo, and now I'm having major issue.

    All page were beginning to load and then hanging, with the pages appearing to load forever. Trying to track down the course of the problem I recompiled apache and I got the following:

    make -j 1 php-5.1.4....... . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . Done

    make: *** [libphp5.la] Error 1


    make php-5.1.4...(install).... . . Done

    make: *** [libphp5.la] Error 1
    /etc/rc.d/init.d/httpd start: httpd started

    configure php-5.1.4...(--prefix=/usr --with-xml --enable-bcmath --enable-calendar --enable-ftp --enable-magic-quotes --with-mysqli --with-mysql=/usr --enable-discard-path --with-pear --enable-sockets --enable-track-vars --with-zlib).... . . . . . . . . . Done

    make -j 1 php-5.1.4...(clean).... Done

    make -j 1 php-5.1.4....... . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . Done

    make: *** [sapi/cgi/php] Error 1

    make php-5.1.4...(install).... . . Done

    make: *** [sapi/cgi/php] Error 1
    initfpsuexec: using apache 1.x support
    PHP version file is up to date
    Executing /scripts/postbuildapache (if exists)...Done
    /etc/rc.d/init.d/httpd start: httpd started​

    Now any pages with PHP in it wants to open as though downloaing a file :S

    Help!

    (Fedora Core 4)
     
  2. cooldude7273

    cooldude7273 Well-Known Member

    Joined:
    Jan 11, 2004
    Messages:
    363
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Roswell, GA
    This is a known problem and cpanel will be releasing new MySQL RPMs "tomorrow" that will fix this error and will allow you to rebuild apache. :)
     
  3. johnsee

    johnsee Member

    Joined:
    Mar 14, 2006
    Messages:
    13
    Likes Received:
    0
    Trophy Points:
    1
    And I read your message just as I tried to roll my server back to its previous version of mysql. Might have just fucked stuff up more :|

    We'll see what happens :)
     
  4. cooldude7273

    cooldude7273 Well-Known Member

    Joined:
    Jan 11, 2004
    Messages:
    363
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Roswell, GA
    Let us know! :)

    You can check out it's Bugzilla entry at http://bugzilla.cpanel.net/show_bug.cgi?id=4045 if you want to keep a closer eye on it.
     
    #4 cooldude7273, May 21, 2006
    Last edited: May 21, 2006
  5. johnsee

    johnsee Member

    Joined:
    Mar 14, 2006
    Messages:
    13
    Likes Received:
    0
    Trophy Points:
    1
    Seems to be working fine now, I'm putting it through a graceful reboot as I type this... just to be on the safe side :)
     
Loading...

Share This Page